/*****************************************************************************
 * \file <mgui/dlglogindboracle.h>
 * \brief MGUI::DLG_LOGIN_DB_ORACLE definitions.
 *
 * \if NODOC
 * $Id: dlglogindboracle.h_v 1.4 2011/06/21 19:44:10 mju Exp $
 *
 * $Log: dlglogindboracle.h_v $
 * Revision 1.4  2011/06/21 19:44:10  mju
 * Rename.
 *
 * Revision 1.3  2007/08/07 13:39:52  dwilliss
 * added schema selection
 *
 * Revision 1.1  2007/08/03 19:10:02  dwilliss
 * Initial revision
 * \endif
 ****************************************************************************/

#ifndef INC_MGUI_DLGLOGINDBORACLE_H
#define INC_MGUI_DLGLOGINDBORACLE_H

#ifndef INC_MGUI_DLGLOGINDB_H
#include <mgui/dlglogindb.h>
#endif

namespace MGUI {

//=====================================================================================================================

//! Dialog to login to Oracle database.
class DLG_LOGIN_DB_ORACLE : public MGUI::DLG_LOGIN_DB {
	public:

		DLG_LOGIN_DB_ORACLE ();

		virtual ~DLG_LOGIN_DB_ORACLE ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		virtual void v_GetConnectionString (
			MISTRING& ConnectionString,
			bool bForGettingDatabaseList,
			const MISTRING& Host,
			const MISTRING& User,
			const MISTRING& Password,
			const MISTRING& Database,
			const MISTRING& Schema,
			INT32 port
			);

		virtual const char* v_GetDefaultDatabaseName () const;
		virtual INT32 v_GetDefaultPort () const;
		virtual const char* v_GetINIGroup () const;
		virtual bool v_NeedServiceName () const;
		virtual ERRVALUE v_GetSchemaList (MISTRINGLIST& List);
		virtual bool v_ShowSchemaSelection () const;

		#endif
	};

//=====================================================================================================================

}	// End namespace MGUI

#endif // INC_MGUI_DLGLOGINDBORACLE_H
