/** 
 * \file mgui/formedittsd.h 
 * \brief Definitions for MGUI::FORM_EDIT_TSD class.
 *
 * \if NODOC
 * $Id: formedittsd.h_v 1.1 2009/12/17 21:26:50 bcolombe Exp $
 *
 * $Log: formedittsd.h_v $
 * Revision 1.1  2009/12/17 21:26:50  bcolombe
 * Initial revision
 *
 *
 * \endif
**/

#ifndef	INC_MGUI_FORM_EDIT_TSD_H
#define	INC_MGUI_FORM_EDIT_TSD_H

#ifndef	INC_MGUI_EDIT_H
#include <mgui/edit.h>
#endif

#ifndef INC_MGUI_FORM_EDIT_EXTENTS_H
#include <mgui/formextents.h>
#endif

#ifndef INC_MGUI_COMBOBOX_H
#include <mgui/combobox.h>
#endif

#ifndef INC_MGUI_GRID_H
#include <mgui/grid.h>
#endif

#ifndef INC_MI32_FILEPATH_H
#include <mi32/filepath.h>
#endif

namespace MGUI {

//! Form for editing a TSD file
class FORM_EDIT_TSD : public MGUI::FORM_COMPOSITE {
		public:
			FORM_EDIT_TSD ();
			~FORM_EDIT_TSD () {}

			//! Create form
			ERRVALUE Create (
				MGUI::LAYOUT_PANE_BASE& ParentPane,		//!< Parent pane
				const FILEPATH* TSDPath = 0				//!< TSD Path for initial settings.  NULL for default settings.
				);

			//! Save changes to TSD
			ERRVALUE Save(
				const FILEPATH& TSDPath					//!< TSD Path to save to.
				);

		private:
			#ifndef GENERATING_DOXYGEN_OUTPUT
			CTRL_EDIT_STRING m_TitleEdit;
			CTRL_EDIT_TEXT m_MetadataEdit;
			FORM_COMBOBOX m_StructureCbx;
			FORM_EDIT_EXTENTS m_EditExtentsForm;
			FORM_EDIT_EXTENTS m_LatLonExtentsForm;
			FORM_EDIT_NUMBER m_TileSizeForm;
			FORM_COMBOBOX m_TileFormat1Cbx;
			FORM_COMBOBOX m_TileFormat2Cbx;
			FORM_COMBOBOX m_MinLevelCbx;
			FORM_COMBOBOX m_MaxLevelCbx;
			CTRL_GRID m_LocationList;

			void OnEditExtents();
			void OnEditLatLonExtents();
			bool OnBeginEdit(int itemnum, int column);
			#endif
		};

}	// End namespace MGUI

#endif		//	INC_MGUI_FORM_EDIT_TSD_H
