/**
 * \file <mi32/lidarenums.h>
 * \brief LIDAR enumeration definitions.
 *
 * \if NODOC
 * $Id: lidarenums.h_v 1.1 2011/06/24 21:10:13 mju Exp $
 *
 * $Log: lidarenums.h_v $
 * Revision 1.1  2011/06/24 21:10:13  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_LIDARENUMS_H
#define	INC_MI32_LIDARENUMS_H

namespace LIDAR {

//=====================================================================================================================

//! Point "return type" enumeration.
enum POINTRETURNTYPE {
	POINTRETURNTYPE_Single =				0,		//!< Single return
	POINTRETURNTYPE_FirstOfMultiple =	1,		//!< First of multiple returns
	POINTRETURNTYPE_LastOfMultiple =		2,		//!< Last of multiple returns
	POINTRETURNTYPE_Intermediate =		3,		//!< Intermediate return
	POINTRETURNTYPE_Invalid =				4,		//!< Invalid return
	POINTRETURNTYPE_None =					5,		//!< No return value present
	POINTRETURNTYPE_NUMTYPES =				6		//!< Number of types defined
	};

//=====================================================================================================================

}	// End namespace LIDAR

#endif	// INC_MI32_LIDARENUMS_H
