/**
 * \file rvc/dbline.h
 * \brief interface for the RVC::DBASE_LINE class.
 *
 * \if NODOC
 * $Id: dbline.h_v 1.11 2010/05/12 21:07:22 mju Exp $
 *
 * $Log: dbline.h_v $
 * Revision 1.11  2010/05/12 21:07:22  mju
 * Simplify to just ctor and specify objtype when construct base.
 *
 * Revision 1.1  2001/05/24 15:18:52  scowan
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_DBLINE_H
#define INC_RVC_DBLINE_H

#ifndef INC_RVC_DBELEM_H
	#include <rvc/dbelem.h>
#endif

namespace RVC {

//! Manage RVC::OBJTYPE_Database_VectorLine objects.
class DBASE_LINE : public RVC::DBASE_ELEMENT {
	public:

		//! Default constructor
		DBASE_LINE (
			): DBASE_ELEMENT(OBJTYPE_Vector,ELEMTYPE_Line) { }

	};

}		// End of RVC namespace

#endif 	// INC_RVC_DBLINE_H
