/**
 * \file rvc/dbparm.h
 * \brief interface for the RVC::DBPARM class.
 *
 * \if NODOC
 * $Id: dbparm.h_v 1.9 2006/09/08 19:27:52 scowan Exp $
 *
 * $Log: dbparm.h_v $
 * Revision 1.9  2006/09/08 19:27:52  scowan
 * Change enum from serialize to its own enum.
 *
 * Revision 1.8  2006/01/24 22:13:43  dwilliss
 * had wrong object type in makeparms
 *
 * Revision 1.7  2005/06/30 21:01:46  scowan
 * Added makeparms.
 *
 * Revision 1.6  2003/10/07 17:34:49  scowan
 * Object virtual method changes.
 *
 * Revision 1.5  2003/09/30 16:52:06  dwilliss
 * Doxygen
 *
 * Revision 1.4  2003/09/25 21:20:04  dwilliss
 * Fixed doxygen comment
 *
 * Revision 1.3  2003/09/15 13:49:45  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.2  2001/06/15 17:30:21  scowan
 * Added to RVC namespace.
 *
 * Revision 1.1  2000/11/29 17:24:38  scowan
 * Initial revision
 *
 * \endif
**/

//!
//!	\class RVC::DBPARM rvc/dbparm.h
//!	\brief Manages RVC::OBJTYPE_DatabaseParm objects.
//!
//!	The RVC::DBPARM class manages RVC::OBJTYPE_DatabaseParm objects.
//!
//!	RVC Object Types that this class supports: RVC::OBJTYPE_DatabaseParm
//!
//!	Default RVC Object Type for this class: RVC::OBJTYPE_DatabaseParm
//!
//!	Valid parents for this class:
//!		- RVC::OBJTYPE_Table

#ifndef INC_RVC_DBPARM_H
#define INC_RVC_DBPARM_H

#ifndef INC_RVC_SERIALZE_H
	#include <rvc/serialze.h>
#endif

namespace RVC {

class DBPARM : public RVC::SERIALIZE {
	public:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class MAKEPARMS;
		#endif

		//! Default constructor
		DBPARM (
			);

		//! Copy Constructor
		DBPARM (
			const RVC::DBPARM& obj
			);

		//! Destructor
		virtual ~DBPARM (
			);

		//! Assignment
		RVC::DBPARM& operator= (
			const RVC::DBPARM& rhs
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		//! Implementation of RVC::OBJECT virtual methods
		virtual OBJTYPE v_GetDftObjectType () const;
		#endif // GENERATING_DOXYGEN_OUTPUT
	};


class DBPARM::MAKEPARMS : public SERIALIZE::MAKEPARMS {
	public:
		MAKEPARMS (
			UINT16 Version = 1,				 			//!< Version number to assign to new object
			OBJTYPE ForObjType = OBJTYPE_All			//!< RVC object that this serialize object is referenced by
			) : SERIALIZE::MAKEPARMS(RVC::OBJTYPE_DatabaseParm, Version, ForObjType, DISPPARMUSAGE_Display)
			{}
	};			

}		//! End of RVC namespace

#endif 	//!< INC_RVC_DBPARM_H
