/******************************************************************************
 *
 * \file sml/classcallbacklist.h
 * \brief SML CLASSCALLBACKLIST
 *
 * \if NODOC
 * $Log: classcallbacklist.h_v $
 * Revision 1.2  2007/05/08 15:45:29  dwilliss
 * SML namespace
 *
 * Revision 1.1  2007/05/07 14:11:09  dwilliss
 * Initial revision
 *
 * \endif
*/
/*****************************************************************************/

#ifndef INC_SML_CLASSCALLBACKLIST_H
#define INC_SML_CLASSCALLBACKLIST_H

#ifndef INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

namespace SML {
class CONTEXT;
class SYMBOL;


/*****************************************************************************/
struct CLASSCALLBACKLIST {
	int (*AddCallback)(CONTEXT *context, void *cblist, SYMBOL *func, void *data);
	void *object;				//!<  The widget, view, tool, whatever
	UINT32 reason;				//!<  e.g.: XmNactivateCallback
	UINT32 mask;				//!<  Needed for view callbacks
	const char *reasonname;	//!<  X Callbacks are resources, which are pointers to strings
	UINT32 UserFlags;			//!<  For use by the class implementation
	};

} // end of SML namespace

typedef SML::CLASSCALLBACKLIST SMLCLASSCALLBACKLIST;

#endif		//  INC_SML_CLASSCALLBACKLIST_H


