/**
 * \file sml/guipane.h
 * \brief SML::GUI_PANE class definitions
 *
 * \if NODOC
 * $Id: guipane.h_v 1.2 2008/02/24 23:07:12 bcolombe Exp $
 *
 * $Log: guipane.h_v $
 * Revision 1.2  2008/02/24 23:07:12  bcolombe
 * Added virtual method
 *
 * Revision 1.1  2008/02/21 23:14:05  bcolombe
 * Initial revision
 *
 *
 * \endif
**/

#ifndef	INC_SML_GUIPANE_H
#define	INC_SML_GUIPANE_H

#ifndef	INC_SML_CLASS_H
	#include <sml/class.h>
#endif

#ifndef	INC_MGUI_TOOLBASE_H
	#include <mgui/layout.h>
#endif

#ifndef INC_MGUI_XMLDLG_H
	#include <mgui/xmldlg.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
class SML_GUI_INTERFACE_BASE;
#endif

namespace SML {

//=====================================================================================================================

class GUI_PANE_BASE {
	public:

		GUI_PANE_BASE ();

		void SetBasePanePtr (
			MGUI::LAYOUT_PANE_BASE *ptr
			);

		MGUI::LAYOUT_PANE_BASE* GetBasePanePtr (
			) const;

		virtual ~GUI_PANE_BASE ();

		#ifndef GENERATING_DOXYGEN_OUTPUT
		//! Function private to SML implemention of MGUI classes
		//! Used to prevent the need for ugly multiple inheritance.
		virtual SML_GUI_INTERFACE_BASE* GetSMLInterface ();
		#endif

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		MGUI::LAYOUT_PANE_BASE *m_ptr;

		#endif
	};

//=====================================================================================================================

class GUI_PANE : public GUI_PANE_BASE {
	public:

		GUI_PANE ();

		void SetPanePtr (
			MGUI::LAYOUT_PANE *ptr
			);

		MGUI::LAYOUT_PANE* GetPanePtr (
			) const;

		virtual ~GUI_PANE ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		MGUI::LAYOUT_PANE *m_ptr;

		#endif
	};

class GUI_PANE_ROOT : public GUI_PANE_BASE {
	public:

		GUI_PANE_ROOT ();

		void SetRootPanePtr (
			MGUI::LAYOUT_PANE_ROOT *ptr
			);

		MGUI::LAYOUT_PANE_ROOT* GetRootPanePtr (
			) const;

		virtual ~GUI_PANE_ROOT ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		MGUI::LAYOUT_PANE_ROOT *m_ptr;

		#endif
	};

class GUI_PAGE : public GUI_PANE_ROOT {
	public:

		GUI_PAGE ();

		void SetPagePtr (
			MGUI::LAYOUT_PAGE *ptr
			);

		MGUI::LAYOUT_PAGE* GetPagePtr (
			) const;

		virtual ~GUI_PAGE ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		MGUI::LAYOUT_PAGE *m_ptr;

		#endif
	};

class GUI_BOOK : public GUI_PANE_BASE {
	public:

		GUI_BOOK ();

		void SetBookPtr (
			MGUI::LAYOUT_BOOK *ptr
			);

		MGUI::LAYOUT_BOOK* GetBookPtr (
			) const;

		virtual ~GUI_BOOK ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		MGUI::LAYOUT_BOOK *m_ptr;

		#endif
	};

class GUI_PANE_XML : public GUI_PANE {
	public:

		GUI_PANE_XML ();

		void SetXmlPanePtr (
			MGUI::LAYOUT_PANE_XMLFORM *ptr
			);

		MGUI::LAYOUT_PANE_XMLFORM* GetXmlPanePtr (
			) const;

		virtual ~GUI_PANE_XML ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		MGUI::LAYOUT_PANE_XMLFORM *m_ptr;

		#endif
	};

}	// End namespace SML

#endif
