/****
* Xexp.h - Include file for export of necessary DLL function exports
*
****/

#if defined(WIN95) || defined(WINNT)
	#define MI_DLLIMPORT	extern __declspec(dllimport)
	#define MI_DLLEXPORT	__declspec(dllexport)
#else
	#define MI_DLLIMPORT
	#define MI_DLLEXPORT
#endif

#ifdef XLIBEXPORT
#undef XLIBEXPORT
#endif

#ifdef XLIBDLL
	#define XLIBEXPORT MI_DLLEXPORT
#else
	#define XLIBEXPORT MI_DLLIMPORT
#endif

#include <windows.h>
#include <winsock.h>

#if defined(__cplusplus)
extern "C" {
#endif

int 					_XANYSET (fd_set src);
struct hostent	  *gethostbyname2 (const char FAR * name);
u_long 				htonl2 (u_long hostlong);
u_short 				htons2 (u_short hostshort);
unsigned long 		inet_addr2 (const char FAR * cp);
char 				  *WdGetComputerName ();
int 					WSAGetLastError2 (void);

void				  *XauGetBestAuthByAddr (unsigned short, unsigned short,	char*, unsigned short, char*, int, char**, int*);
void					XauDisposeAuth (void *auth);
int 					XLibCommBind (SOCKET s, struct sockaddr *addr, int namelen);
int 					XLibCommClose (SOCKET s);
int 					XLibCommConnect (SOCKET s, struct sockaddr *addr, int namelen);
SOCKET 				XLibCommCreate (int LocalSocket);
int					XLibCommIoctl (SOCKET s, long cmd, u_long *argp);
int 					XLibCommRead (SOCKET s, char *buf, DWORD len, DWORD flags);
long 					XLibCommReadV (SOCKET s, struct iovec *iov, long iovcnt);
int 					XLibCommSetSockOpt (SOCKET s, int level, int optname, const char *optval, int optlen);
int 					XLibCommWrite (SOCKET s, const char *buf, DWORD len, DWORD flags);
long 					XLibCommWriteV (SOCKET s, struct iovec *iov, long iovcnt);

XLIBEXPORT	int 				 	__WSAFDIsSet2 (SOCKET s, fd_set *fd);
XLIBEXPORT	int 					gethostname2 (char *name, int namelen);
XLIBEXPORT	int					gettimeofday (struct timeval *tp, struct timezone1 *tzp);
XLIBEXPORT	int					XLibCommInit (HINSTANCE inst, int IsRemote);
XLIBEXPORT	int 					XLibCommGetPeerName (SOCKET s, struct sockaddr *name, int *namelen);
XLIBEXPORT	int 					XLibCommSelect (int nfds, fd_set *readfds, fd_set *writefds, fd_set *exceptfds, const struct timeval *timeout);
XLIBEXPORT	int					XLibCommGetSockName (SOCKET s, struct sockaddr *name, int *namelen);
XLIBEXPORT	void 					XLibCommStop (void);

#if defined(__cplusplus)
}
#endif

#undef XLIBEXPORT
